| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
pcapng.h File Reference
`#include <stdint.h>`
`#include "wtap.h"`
`#include "ws_symbol_export.h"`

Go to the source code of this file.

## Classes
struct | pcapng_block_header_s
| Common block header shared by every block type in a pcapng capture file. More...
struct | pcapng_section_header_block_s
| Section Header Block (SHB) body encoding in a pcapng file, marking the start of a capture section. More...
struct | pcapng_interface_description_block_s
| Interface Description Block (IDB) body encoding in a pcapng file, describing a capture interface. More...
struct | pcapng_interface_statistics_block_s
| Interface Statistics Block (ISB) body encoding in a pcapng file, reporting per-interface capture statistics. More...
struct | pcapng_decryption_secrets_block_s
| Decryption Secrets Block (DSB) body encoding in a pcapng file, embedding key material for decrypting captured traffic. More...
struct | pcapng_option_header
| Option header used to encode a single TLV option appended to a pcapng block. More...

## Macros
#define | PCAPNG_MAGIC 0x1A2B3C4D
#define | PCAPNG_SWAPPED_MAGIC 0x4D3C2B1A
#define | PCAPNG_MAJOR_VERSION 1
#define | PCAPNG_MINOR_VERSION 0

## Typedefs
typedef struct pcapng_block_header_s | pcapng_block_header_t
| Common block header shared by every block type in a pcapng capture file.
typedef struct pcapng_section_header_block_s | pcapng_section_header_block_t
| Section Header Block (SHB) body encoding in a pcapng file, marking the start of a capture section.
typedef struct pcapng_interface_description_block_s | pcapng_interface_description_block_t
| Interface Description Block (IDB) body encoding in a pcapng file, describing a capture interface.
typedef struct pcapng_interface_statistics_block_s | pcapng_interface_statistics_block_t
| Interface Statistics Block (ISB) body encoding in a pcapng file, reporting per-interface capture statistics.
typedef struct pcapng_decryption_secrets_block_s | pcapng_decryption_secrets_block_t
| Decryption Secrets Block (DSB) body encoding in a pcapng file, embedding key material for decrypting captured traffic.

## Functions
wtap_open_return_val | pcapng_open (wtap *wth, int *err, char **err_info)
| Opens a pcapng file.

## Detailed Description

Wiretap Library Copyright (c) 1998 by Gilbert Ramirez gram@.nosp@m.alum.nosp@m.ni.ri.nosp@m.ce.e.nosp@m.du

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ pcapng_open()

wtap_open_return_val pcapng_open | ( | wtap * | wth,
|  | int * | err,
|  | char ** | err_info )

Opens a pcapng file.

Parameters

  wth | Pointer to the wtap structure.
  err | Pointer to an integer that will be set to an error code if an error occurs.
  err_info | Pointer to a string that will be set to an error message if an error occurs.

Returns
  wtap_open_return_val The result of opening the file.

< Timestamp precision is unknown.